# pcxtoppm

Updated: 19 April 2004
Table Of Contents

## NAME

pcxtoppm - convert a PCX file into a PPM image

## SYNOPSIS

pcxtoppm [-stdpalette] [-verbose] [pcxfile]

## DESCRIPTION

This program is part of Netpbm.

pcxtoppm reads a PCX file as input and produces a PPM image as output.

pcxtoppm recognizes the following PCX types:

- Colormapped files with 2-16 colors.

  "Packed pixel" format (1, 2 or 4 bits/pixel, 1 plane) or bitplane format (1 bit/pixel, 1-4 planes). The program uses a predefined standard palette if the image does not provide one. "Does not provide one" means the palette in the PCX header is completely black.

- Colormapped files with 256 colors.

  8 bits/pixel, 1 plane, colormap at the end of the file.

- 24bit truecolor files.

  24bit RGB: 8 bits/pixel, 3 planes.

- 32bit truecolor files.

  24bit RGB + 8bit intensity: 8 bits/pixel, 4 planes.

## OPTIONS

-stdpalette
  This option causes pcxtoppm to use its predefined standard palette even if the PCX image provides its own. This is meaningful only for an image in the 16 color paletted PCX format.

  The image may appear to provide its own palette but in fact be created by a program too primitive to understand palettes that created a random palette by accident.

## SEE ALSO

ppmtopcx, ppm

## AUTHORS

Copyright 1990 by Michael Davidson.

Modified 1994 by Ingo Wilken (Ingo.Wilken@informatik.uni-oldenburg.de)

## Table Of Contents

- NAME
- SYNOPSIS
- DESCRIPTION
- OPTIONS
- SEE ALSO
- AUTHORS